--    ▄██████▄  ███▄▄▄▄    ▄██████▄    ▄▄▄▄███▄▄▄▄      ▄████████ ▀█████████▄     ▄████████    ▄████████    ▄████████ 
--    ███    ███ ███▀▀▀██▄ ███    ███ ▄██▀▀▀███▀▀▀██▄   ███    ███   ███    ███   ███    ███   ███    ███   ███    ███ 
--    ███    █▀  ███   ███ ███    ███ ███   ███   ███   ███    █▀    ███    ███   ███    ███   ███    ███   ███    █▀  
--   ▄███        ███   ███ ███    ███ ███   ███   ███  ▄███▄▄▄      ▄███▄▄▄██▀    ███    ███  ▄███▄▄▄▄██▀   ███        
--  ▀▀███ ████▄  ███   ███ ███    ███ ███   ███   ███ ▀▀███▀▀▀     ▀▀███▀▀▀██▄  ▀███████████ ▀▀███▀▀▀▀▀   ▀███████████ 
--    ███    ███ ███   ███ ███    ███ ███   ███   ███   ███    █▄    ███    ██▄   ███    ███ ▀███████████          ███ 
--    ███    ███ ███   ███ ███    ███ ███   ███   ███   ███    ███   ███    ███   ███    ███   ███    ███    ▄█    ███ 
--    ████████▀   ▀█   █▀   ▀██████▀   ▀█   ███   █▀    ██████████ ▄█████████▀    ███    █▀    ███    ███  ▄████████▀  
--                                                                                             ███    ███              
--                          
--
--            By: maemento mori - https://steamcommunity.com/id/Meylmao/myworkshopfiles/?appid=108600



vape_config = vape_config or {}                                 -- # Create a new config global variable

local vape_ModOptions = {
options = {                                                     -- # Define options
    box1 = true,
    box2 = false,
    box3 = true, 
    box4 = true,         
},  
names = {                                                       -- # Define option names (Ideally use translations)
    box1 = getText("IGUI_GnomeBars_Box_One"),                   -- "Colored tooltip borders"
    box2 = getText("IGUI_GnomeBars_Box_Two"),                   -- "Colored tooltip backgrounds"
    box3 = getText("IGUI_GnomeBars_Box_Three"),                 -- "Context menu icon"
    box4 = getText("IGUI_GnomeBars_Box_Four"),                  -- "Receive a battery when dismantling a GnomeBar"
},
mod_id = "gnomeBars",
mod_shortname = "GnomeBars",
mod_fullname = 'GnomeBar  Vapes',
}
  
vape_config.ModOptions = vape_ModOptions                        -- # Copy the options

if ModOptions and ModOptions.getInstance then
    local settings = ModOptions:getInstance(vape_ModOptions)    -- # Get the options instance
    local opt1 = settings:getData("box1")
    local opt2 = settings:getData("box2")
    local opt3 = settings:getData("box3")
    local opt4 = settings:getData("box4")
    opt1.tooltip = getText("IGUI_GnomeBar_Box1");               -- "Make Vape item tooltip boxes borders have color"
    opt2.tooltip = getText("IGUI_GnomeBar_Box2");               -- "Make Vape item tooltip backgrounds have color"
    opt3.tooltip = getText("IGUI_GnomeBar_Box3");               -- "Make Vape item tooltip backgrounds have color"
    opt4.tooltip = getText("IGUI_GnomeBar_Box4");               -- "Uncheck this option to only receive electronics scrap when dismantling a GnomeBar"
    ModOptions:loadFile()
end


Events.OnGameStart.Add(function()                               -- # Check actual options at game loading.
    -- //   print("checkbox1 = ", vape_config.ModOptions.options.box1)
  end)

  
--  #     ▄▄▄▄███▄▄▄▄      ▄████████    ▄████████    ▄▄▄▄███▄▄▄▄      ▄████████ ███▄▄▄▄       ███      ▄██████▄          ▄▄▄▄███▄▄▄▄    ▄██████▄     ▄████████  ▄█  
--  #   ▄██▀▀▀███▀▀▀██▄   ███    ███   ███    ███  ▄██▀▀▀███▀▀▀██▄   ███    ███ ███▀▀▀██▄ ▀█████████▄ ███    ███       ▄██▀▀▀███▀▀▀██▄ ███    ███   ███    ███ ███  
--  #   ███   ███   ███   ███    ███   ███    █▀   ███   ███   ███   ███    █▀  ███   ███    ▀███▀▀██ ███    ███       ███   ███   ███ ███    ███   ███    ███ ███▌ 
--  #   ███   ███   ███   ███    ███  ▄███▄▄▄      ███   ███   ███  ▄███▄▄▄     ███   ███     ███   ▀ ███    ███       ███   ███   ███ ███    ███  ▄███▄▄▄▄██▀ ███▌ 
--  #   ███   ███   ███ ▀███████████ ▀▀███▀▀▀      ███   ███   ███ ▀▀███▀▀▀     ███   ███     ███     ███    ███       ███   ███   ███ ███    ███ ▀▀███▀▀▀▀▀   ███▌ 
--  #   ███   ███   ███   ███    ███   ███    █▄   ███   ███   ███   ███    █▄  ███   ███     ███     ███    ███       ███   ███   ███ ███    ███ ▀███████████ ███  
--  #   ███   ███   ███   ███    ███   ███    ███  ███   ███   ███   ███    ███ ███   ███     ███     ███    ███       ███   ███   ███ ███    ███   ███    ███ ███  
--  #    ▀█   ███   █▀    ███    █▀    ██████████   ▀█   ███   █▀    ██████████  ▀█   █▀     ▄████▀    ▀██████▀         ▀█   ███   █▀   ▀██████▀    ███    ███ █▀   
--  #                                                                                                                                               ███    ███      

